App\Entity\SymfonyDemoPost:
    type: entity
    table: symfony_demo_post
    indexes:
        IDX_58A92E65F675F31B:
            columns:
                - author_id
    id:
        id:
            type: integer
            nullable: false
            options:
                unsigned: false
            id: true
            generator:
                strategy: IDENTITY
    fields:
        authorId:
            type: integer
            nullable: false
            options:
                unsigned: false
            column: author_id
        title:
            type: string
            nullable: false
            length: 255
            options:
                fixed: false
        slug:
            type: string
            nullable: false
            length: 255
            options:
                fixed: false
        summary:
            type: string
            nullable: false
            length: 255
            options:
                fixed: false
        content:
            type: text
            nullable: false
            length: 0
            options:
                fixed: false
        publishedAt:
            type: datetime
            nullable: false
            column: published_at
    manyToMany:
        tag:
            targetEntity: SymfonyDemoTag
            cascade: {  }
            fetch: LAZY
            mappedBy: null
            inversedBy: post
            joinTable:
                name: symfony_demo_post_tag
                joinColumns:
                    -
                        name: post_id
                        referencedColumnName: id
                inverseJoinColumns:
                    -
                        name: tag_id
                        referencedColumnName: id
            orderBy: null
    lifecycleCallbacks: {  }
